package domain


type AlibabaWdkElemeBillGetEleBillBo struct {
    /*
        订单费用明细     */
    OrderDetailFee  *AlibabaWdkElemeBillGetOrderDetailFee `json:"order_detail_fee,omitempty" `

    /*
        应付金额     */
    ExpendFee  *string `json:"expend_fee,omitempty" `

    /*
        单量     */
    OrderCount  *string `json:"order_count,omitempty" `

    /*
        未结算金额，单位:分     */
    PayFee  *string `json:"pay_fee,omitempty" `

    /*
        实际付款主体     */
    PayEntity  *string `json:"pay_entity,omitempty" `

    /*
        账单日期，时间戳     */
    Date  *string `json:"date,omitempty" `

    /*
        渠道店id     */
    ShopId  *string `json:"shop_id,omitempty" `

}

func (s *AlibabaWdkElemeBillGetEleBillBo) SetOrderDetailFee(v AlibabaWdkElemeBillGetOrderDetailFee) *AlibabaWdkElemeBillGetEleBillBo {
    s.OrderDetailFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetEleBillBo) SetExpendFee(v string) *AlibabaWdkElemeBillGetEleBillBo {
    s.ExpendFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetEleBillBo) SetOrderCount(v string) *AlibabaWdkElemeBillGetEleBillBo {
    s.OrderCount = &v
    return s
}
func (s *AlibabaWdkElemeBillGetEleBillBo) SetPayFee(v string) *AlibabaWdkElemeBillGetEleBillBo {
    s.PayFee = &v
    return s
}
func (s *AlibabaWdkElemeBillGetEleBillBo) SetPayEntity(v string) *AlibabaWdkElemeBillGetEleBillBo {
    s.PayEntity = &v
    return s
}
func (s *AlibabaWdkElemeBillGetEleBillBo) SetDate(v string) *AlibabaWdkElemeBillGetEleBillBo {
    s.Date = &v
    return s
}
func (s *AlibabaWdkElemeBillGetEleBillBo) SetShopId(v string) *AlibabaWdkElemeBillGetEleBillBo {
    s.ShopId = &v
    return s
}
